/*
 * memmap.h
 *
 * Copyright (C) 2004-2006 Atmark Techno, Inc.
 *
 */

#ifndef _MEMMAP_H_
#define _MEMMAP_H_

#include <xparameters.h>

#ifdef XPAR_SPI_FLASH_BASEADDR
#define SDRAM_BASEADDR        (XPAR_SDRAM_CONTROLLER_MEM0_BASEADDR)
#define SDRAM_HIGHADDR        (XPAR_SDRAM_CONTROLLER_MEM0_HIGHADDR)
#define SPI_REGISTER_BASEADDR (XPAR_SPI_FLASH_BASEADDR)
#define BBOOT_LOAD_ADDRESS    (XPAR_SDRAM_CONTROLLER_MEM0_HIGHADDR - 0x10FFFFF)
#else
#define FLASH_START           (XPAR_SYSTEM_MEMCON_MEM1_BASEADDR)
#define BBOOT_LOAD_ADDRESS    (XPAR_SDRAM_CONTROLLER_HIGHADDR - 0xFFFFF)
#endif /* XPAR_SPI_FLASH_BASEADDR */

#define BOOTLOADER_SIZE                 (0x10000)

#define SYSTEM_REGISTER_BASEADDR        (XPAR_OPB_GPIO_0_BASEADDR)
#define SYSTEM_REGISTER_RECONFIGURE     (1 << 0)
#define SYSTEM_REGISTER_COMPATIBLE_MODE (1 << 1)
#define SYSTEM_REGISTER_BOOT_MODE       (1 << 2)

#define LED_REGISTER_BASEADDR           (XPAR_LED_GPIO_BASEADDR)

#endif /* _MEMMAP_H_ */
